> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/aplicaciones/components/layout/hidden.md).

# Oculto

Alterne de forma rápida y responsiva el valor de visibilidad de los componentes y mucho más con las utilidades hidden.

## Cómo funciona

Hidden funciona con un rango de puntos de ruptura, p. ej. `xsUp` o `mdDown`, o con uno o más puntos de ruptura, p. ej. `-Only 'sm'` o `-Only @('md', 'xl')`. Los rangos y los puntos de ruptura individuales pueden usarse simultáneamente para lograr un comportamiento muy personalizado. Los rangos incluyen los puntos de ruptura especificados.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

Al usar el parámetro `-Up` de cualquier punto de ruptura, los *hijos* indicados se ocultarán *en o por encima del* punto de ruptura.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

Al usar el parámetro `-Down` de cualquier punto de ruptura, los *hijos* indicados se ocultarán *en o por debajo del* punto de ruptura.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Al usar el parámetro `-Only` del punto de ruptura, los *hijos* indicados se ocultarán *en* el punto o los puntos de ruptura especificados.

El parámetro `-Only` puede usarse de dos maneras:

* indicar un único punto de ruptura
* indicar una matriz de puntos de ruptura

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](/powershell-universal/es/comandos-de-powershell/new-udhidden.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/aplicaciones/components/layout/hidden.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
